Generation Framework

## org.eclipse.gmf.codegen.gmfgen.impl
Class GenAuditRuleImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.gmf.codegen.gmfgen.impl.GenRuleBaseImpl
                      org.eclipse.gmf.codegen.gmfgen.impl.GenAuditRuleImpl

All Implemented Interfaces:
  EObject, GenAuditRule, GenRuleBase, InternalEObject, Notifier

public class GenAuditRuleImpl
extends GenRuleBaseImpl
implements GenAuditRule

An implementation of the model object 'Gen Audit Rule'.

The following features are implemented:

- `Id`
- `Rule`
- `Target`
- `Message`
- `Severity`
- `Use In Live Mode`
- `Container`

** Generated **

Nested Class Summary

Nested classes inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`BasicNotifierImpl.EAdapterList`

Nested classes inherited from class org.eclipse.emf.ecore.InternalEObject
`InternalEObject.EStore`

Field Summary
`protected java.lang.String` `id` The cached value of the '`Id`' attribute
`protected static java.lang.String` `ID_EDEFAULT` The default value of the '`Id`' attribute
`protected java.lang.String` `message` The cached value of the '`Message`' attribute
`protected static java.lang.String` `MESSAGE_EDEFAULT` The default value of the '`Message`' attribute
`protected GenConstraint` `rule` The cached value of the '`Rule`' containment reference
`protected GenSeverity` `severity` The cached value of the '`Severity`' attribute
`protected static GenSeverity` `SEVERITY_EDEFAULT` The default value of the '`Severity`' attribute
`protected GenAuditable` `target` The cached value of the '`Target`' containment reference
`protected static boolean` `USE_IN_LIVE_MODE_EDEFAULT` The default value of the '`Use In Live Mode`' attribute
`protected boolean` `useInLiveMode` The cached value of the '`Use In Live Mode`' attribute

Fields inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenRuleBaseImpl
`description, DESCRIPTION_EDEFAULT, name, NAME_EDEFAULT`

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `GenAuditRuleImpl()`

Method Summary
`NotificationChain` `basicSetContainer(GenAuditContainer newContainer, NotificationChain msgs)`
`NotificationChain` `basicSetRule(GenConstraint newRule, NotificationChain msgs)`
`NotificationChain` `basicSetTarget(GenAuditable newTarget, NotificationChain msgs)`
`NotificationChain` `eBasicRemoveFromContainerFeature(NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`java.lang.String` `getConstraintAdapterClassName()`
`java.lang.String` `getConstraintAdapterLocalClassName()`
`java.lang.String` `getConstraintAdapterQualifiedClassName()`
`GenAuditContainer` `getContainer()`
`java.lang.String` `getContextSelectorClassName()`
`java.lang.String` `getContextSelectorLocalClassName()`
`java.lang.String` `getContextSelectorQualifiedClassName()`
`java.lang.String` `getId()`
`java.lang.String` `getMessage()`
`GenConstraint` `getRule()`
`GenSeverity` `getSeverity()`
`GenAuditable` `getTarget()`
`boolean` `isUseInLiveMode()`
`boolean` `requiresConstraintAdapter()`
`void` `setContainer(GenAuditContainer newContainer)`
`void` `setId(java.lang.String newId)`
`void` `setMessage(java.lang.String newMessage)`
`void` `setRule(GenConstraint newRule)`
`void` `setSeverity(GenSeverity newSeverity)`
`void` `setTarget(GenAuditable newTarget)`
`void` `setUseInLiveMode(boolean newUseInLiveMode)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.gmf.codegen.gmfgen.impl.GenRuleBaseImpl
`getDescription, getName, setDescription, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.codegen.gmfgen.GenRuleBase
`getDescription, getName, setDescription, setName`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### ID_EDEFAULT

    protected static final java.lang.String ID_EDEFAULT

  The default value of the '`Id`' attribute.

  See Also:
    `GenAuditRuleImpl.getId()`
  ** Generated **
  Ordered:

### id

    protected java.lang.String id

  The cached value of the '`Id`' attribute.

  See Also:
    `GenAuditRuleImpl.getId()`
  ** Generated **
  Ordered:

### rule

    protected GenConstraint rule

  The cached value of the '`Rule`' containment reference.

  See Also:
    `GenAuditRuleImpl.getRule()`
  ** Generated **
  Ordered:

### target

    protected GenAuditable target

  The cached value of the '`Target`' containment reference.

  See Also:
    `GenAuditRuleImpl.getTarget()`
  ** Generated **
  Ordered:

### MESSAGE_EDEFAULT

    protected static final java.lang.String MESSAGE_EDEFAULT

  The default value of the '`Message`' attribute.

  See Also:
    `GenAuditRuleImpl.getMessage()`
  ** Generated **
  Ordered:

### message

    protected java.lang.String message

  The cached value of the '`Message`' attribute.

  See Also:
    `GenAuditRuleImpl.getMessage()`
  ** Generated **
  Ordered:

### SEVERITY_EDEFAULT

    protected static final GenSeverity SEVERITY_EDEFAULT

  The default value of the '`Severity`' attribute.

  See Also:
    `GenAuditRuleImpl.getSeverity()`
  ** Generated **
  Ordered:

### severity

    protected GenSeverity severity

  The cached value of the '`Severity`' attribute.

  See Also:
    `GenAuditRuleImpl.getSeverity()`
  ** Generated **
  Ordered:

### USE_IN_LIVE_MODE_EDEFAULT

    protected static final boolean USE_IN_LIVE_MODE_EDEFAULT

  The default value of the '`Use In Live Mode`' attribute.

  See Also:
    `GenAuditRuleImpl.isUseInLiveMode()`, Constant Field Values
  ** Generated **
  Ordered:

### useInLiveMode

    protected boolean useInLiveMode

  The cached value of the '`Use In Live Mode`' attribute.

  See Also:
    `GenAuditRuleImpl.isUseInLiveMode()`
  ** Generated **
  Ordered:

Constructor Detail

### GenAuditRuleImpl

    protected GenAuditRuleImpl()

** Generated **

Method Detail

### eStaticClass

    protected EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `GenRuleBaseImpl`
  ** Generated **

### getTarget

    public GenAuditable getTarget()

  Specified by:
    `getTarget` in interface `GenAuditRule`
  Returns:
    the value of the 'Target' containment reference.
  See Also:
    `GenAuditRule.setTarget(GenAuditable)`, `GMFGenPackage.getGenAuditRule_Target()`
  ** Generated **

### basicSetTarget

    public NotificationChain basicSetTarget(GenAuditable newTarget,
                                            NotificationChain msgs)

  ** Generated **

### setTarget

    public void setTarget(GenAuditable newTarget)

  Specified by:
    `setTarget` in interface `GenAuditRule`
  Parameters:
    `newTarget` - the new value of the 'Target' containment reference.
  See Also:
    `GenAuditRule.getTarget()`
  ** Generated **

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `GenAuditRule`
  Returns:
    the value of the 'Id' attribute.
  See Also:
    `GenAuditRule.setId(String)`, `GMFGenPackage.getGenAuditRule_Id()`
  ** Generated **

### setId

    public void setId(java.lang.String newId)

  Specified by:
    `setId` in interface `GenAuditRule`
  Parameters:
    `newId` - the new value of the 'Id' attribute.
  See Also:
    `GenAuditRule.getId()`
  ** Generated **

### getMessage

    public java.lang.String getMessage()

  Specified by:
    `getMessage` in interface `GenAuditRule`
  Returns:
    the value of the 'Message' attribute.
  See Also:
    `GenAuditRule.setMessage(String)`, `GMFGenPackage.getGenAuditRule_Message()`
  ** Generated **

### setMessage

    public void setMessage(java.lang.String newMessage)

  Specified by:
    `setMessage` in interface `GenAuditRule`
  Parameters:
    `newMessage` - the new value of the 'Message' attribute.
  See Also:
    `GenAuditRule.getMessage()`
  ** Generated **

### getRule

    public GenConstraint getRule()

  Specified by:
    `getRule` in interface `GenAuditRule`
  Returns:
    the value of the 'Rule' containment reference.
  See Also:
    `GenAuditRule.setRule(GenConstraint)`, `GMFGenPackage.getGenAuditRule_Rule()`
  ** Generated **

### basicSetRule

    public NotificationChain basicSetRule(GenConstraint newRule,
                                          NotificationChain msgs)

  ** Generated **

### setRule

    public void setRule(GenConstraint newRule)

  Specified by:
    `setRule` in interface `GenAuditRule`
  Parameters:
    `newRule` - the new value of the 'Rule' containment reference.
  See Also:
    `GenAuditRule.getRule()`
  ** Generated **

### getSeverity

    public GenSeverity getSeverity()

  Specified by:
    `getSeverity` in interface `GenAuditRule`
  Returns:
    the value of the 'Severity' attribute.
  See Also:
    `GenSeverity`, `GenAuditRule.setSeverity(GenSeverity)`, `GMFGenPackage.getGenAuditRule_Severity()`
  ** Generated **

### setSeverity

    public void setSeverity(GenSeverity newSeverity)

  Specified by:
    `setSeverity` in interface `GenAuditRule`
  Parameters:
    `newSeverity` - the new value of the 'Severity' attribute.
  See Also:
    `GenSeverity`, `GenAuditRule.getSeverity()`
  ** Generated **

### isUseInLiveMode

    public boolean isUseInLiveMode()

  Specified by:
    `isUseInLiveMode` in interface `GenAuditRule`
  Returns:
    the value of the 'Use In Live Mode' attribute.
  See Also:
    `GenAuditRule.setUseInLiveMode(boolean)`, `GMFGenPackage.getGenAuditRule_UseInLiveMode()`
  ** Generated **

### setUseInLiveMode

    public void setUseInLiveMode(boolean newUseInLiveMode)

  Specified by:
    `setUseInLiveMode` in interface `GenAuditRule`
  Parameters:
    `newUseInLiveMode` - the new value of the 'Use In Live Mode' attribute.
  See Also:
    `GenAuditRule.isUseInLiveMode()`
  ** Generated **

### getContainer

    public GenAuditContainer getContainer()

  Specified by:
    `getContainer` in interface `GenAuditRule`
  Returns:
    the value of the 'Container' container reference.
  See Also:
    `GenAuditRule.setContainer(GenAuditContainer)`, `GMFGenPackage.getGenAuditRule_Container()`, `GenAuditContainer.getAudits()`
  ** Generated **

### basicSetContainer

    public NotificationChain basicSetContainer(GenAuditContainer newContainer,
                                               NotificationChain msgs)

  ** Generated **

### setContainer

    public void setContainer(GenAuditContainer newContainer)

  Specified by:
    `setContainer` in interface `GenAuditRule`
  Parameters:
    `newContainer` - the new value of the 'Container' container reference.
  See Also:
    `GenAuditRule.getContainer()`
  ** Generated **

### getContextSelectorClassName

    public java.lang.String getContextSelectorClassName()

  Specified by:
    `getContextSelectorClassName` in interface `GenAuditRule`
  ** Generated **
    NOT

### getContextSelectorQualifiedClassName

    public java.lang.String getContextSelectorQualifiedClassName()

  Specified by:
    `getContextSelectorQualifiedClassName` in interface `GenAuditRule`
  ** Generated **
    NOT

### getContextSelectorLocalClassName

    public java.lang.String getContextSelectorLocalClassName()

  Specified by:
    `getContextSelectorLocalClassName` in interface `GenAuditRule`
  ** Generated **
    NOT

### getConstraintAdapterClassName

    public java.lang.String getConstraintAdapterClassName()

  Specified by:
    `getConstraintAdapterClassName` in interface `GenAuditRule`
  ** Generated **
    NOT

### getConstraintAdapterLocalClassName

    public java.lang.String getConstraintAdapterLocalClassName()

  Specified by:
    `getConstraintAdapterLocalClassName` in interface `GenAuditRule`
  ** Generated **
    NOT

### getConstraintAdapterQualifiedClassName

    public java.lang.String getConstraintAdapterQualifiedClassName()

  Specified by:
    `getConstraintAdapterQualifiedClassName` in interface `GenAuditRule`
  ** Generated **
    NOT

### requiresConstraintAdapter

    public boolean requiresConstraintAdapter()

  Specified by:
    `requiresConstraintAdapter` in interface `GenAuditRule`
  ** Generated **
    NOT

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  ** Generated **

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  ** Generated **

### eBasicRemoveFromContainerFeature

    public NotificationChain eBasicRemoveFromContainerFeature(NotificationChain msgs)

  ** Generated **

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `InternalEObject`
  Overrides:
    `eGet` in class `GenRuleBaseImpl`
  ** Generated **

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `InternalEObject`
  Overrides:
    `eSet` in class `GenRuleBaseImpl`
  ** Generated **

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `InternalEObject`
  Overrides:
    `eUnset` in class `GenRuleBaseImpl`
  ** Generated **

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `InternalEObject`
  Overrides:
    `eIsSet` in class `GenRuleBaseImpl`
  ** Generated **

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `GenRuleBaseImpl`
  ** Generated **

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.